Name: siege
Version: 3.0.1
Release: 1%{?dist}
Summary: HTTP regression testing and benchmarking utility

Group: Development/Tools
License: GPLv2+
URL: http://www.joedog.org/JoeDog/Siege
Source0: ftp://ftp.joedog.org/pub/siege/beta/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel

%description
Siege is an HTTP regression testing and benchmarking utility. 
It was designed to let web developers measure the performance of their code 
under duress, to see how it will stand up to load on the internet. 
Siege supports basic authentication, cookies, HTTP and HTTPS protocols. 
It allows the user hit a web server with a configurable number of concurrent 
simulated users. Those users place the web-server "under siege."

%prep
%setup -c

cd %{name}-%{version}

# better default for log file (Bug 644631)
%{__sed} -i.orig doc/siegerc.in -e 's/^# logfile = *$/logfile = ${HOME}\/siege.log/'

%build
cd %{name}-%{version}

%configure --sysconfdir=/etc/siege
%{__make} %{?_smp_mflags}


%install
cd %{name}-%{version}
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/siege
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc %{name}-%{version}/AUTHORS
%doc %{name}-%{version}/ChangeLog
%doc %{name}-%{version}/COPYING
%doc %{name}-%{version}/KNOWNBUGS
%doc %{name}-%{version}/MACHINES
%doc %{name}-%{version}/NEWS
%doc %{name}-%{version}/PLATFORM
%doc %{name}-%{version}/README
%doc %{name}-%{version}/README.https
%{_bindir}/bombardment
%{_bindir}/siege
%{_bindir}/siege.config
%{_bindir}/siege2csv.pl
%{_mandir}/man1/bombardment.1.gz
%{_mandir}/man1/siege.1.gz
%{_mandir}/man1/siege.config.1.gz
%{_mandir}/man1/siege2csv.1.gz
%{_mandir}/man5/urls_txt.5.gz
%{_mandir}/man7/layingsiege.7.gz
%dir %{_sysconfdir}/siege
%config(noreplace) %{_sysconfdir}/siege/urls.txt
%config(noreplace) %{_sysconfdir}/siege/siegerc

%changelog
* Sun May 26 2013 Denis Fateyev <denis@fateyev.com> - 3.0.1-1.denf
- Update to version 3.0.1

* Mon Oct 01 2012 Denis Fateyev <denis@fateyev.com> - 2.72-1.denf
- Rebuild for DENF RHEL repository

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.72-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar  2 2012 Christof Damian <christof@damian.net> - 2.72-2
- added dist tag again

* Fri Mar  2 2012 Christof Damian <christof@damian.net> - 2.72-1
- upstream 2.72

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-3.b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-2.b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec  4 2010 Christof Damian <christof@damian.net> - 2.71-1.b3%{?dist}
- upstream 2.71b3
- Bug 644631 - Bad default logfile path
- Bug 656320 - siege segfaults in glibc's getopt_long() -> __strncmp_sse2()

* Sat Jul 17 2010 Christof Damian <christof@damian.net> - 2.70-1
- upstream 2.70
- fix spelling

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.69-3
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul  4 2009 Allisson Azevedo <allisson@gmail.com> 2.69-1
- Update to 2.69
- Update Makefile.in patch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.67-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 2.67-2
- rebuild with new openssl

* Fri May 16 2008 Allisson Azevedo <allisson@gmail.com> 2.67-1
- Update to 2.67
- Update License

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.66-3
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.66-2
 - Rebuild for deps

* Tue Apr 10 2007 Allisson Azevedo <allisson@gmail.com> 2.66-1
- Update to 2.66

* Sun Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 2.65-3
- Fix .spec

* Sun Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 2.65-2
- Fix .spec

* Sun Mar 11 2007 Allisson Azevedo <allisson@gmail.com> 2.65-1
- Initial RPM release
